OracleVM 3.3 : libxml2 (OVMSA-2015-0097)

This script is Copyright (C) 2015-2017 Tenable Network Security, Inc.


Synopsis :

The remote OracleVM host is missing one or more security updates.

Description :

The remote OracleVM system is missing necessary patches to address
critical security updates :

- Update doc/redhat.gif in tarball

- Add libxml2-oracle-enterprise.patch and update logos in
tarball

- CVE-2015-1819 Enforce the reader to run in constant
memory(rhbz#1214163)

- Stop parsing on entities boundaries errors

- Fix missing entities after CVE-2014-3660 fix
(rhbz#1149086)

- CVE-2014-3660 denial of service via recursive entity
expansion (rhbz#1149086)

- Fix html serialization error and htmlSetMetaEncoding
(rhbz#1004513)

See also :

https://oss.oracle.com/pipermail/oraclevm-errata/2015-July/000345.html

Solution :

Update the affected libxml2 / libxml2-python packages.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P)
CVSS Temporal Score : 3.7
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Family: OracleVM Local Security Checks

Nessus Plugin ID: 85138 ()

Bugtraq ID: 70644
75570

CVE ID: CVE-2014-3660
CVE-2015-1819

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now